import CJS_COMPAT_NODE_URL_bhpmtlmh4se from 'node:url';
import CJS_COMPAT_NODE_PATH_bhpmtlmh4se from 'node:path';
import CJS_COMPAT_NODE_MODULE_bhpmtlmh4se from "node:module";

var __filename = CJS_COMPAT_NODE_URL_bhpmtlmh4se.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_bhpmtlmh4se.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_bhpmtlmh4se.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  getAutomockCode
} from "../../../../_node-chunks/chunk-GOTE7C7H.js";
import {
  babelParser
} from "../../../../_node-chunks/chunk-KPMTVREE.js";
import "../../../../_node-chunks/chunk-MHAVPGVV.js";
import {
  __name
} from "../../../../_node-chunks/chunk-7YMXN42S.js";

// src/core-server/presets/webpack/loaders/webpack-automock-loader.ts
function webpackAutomockLoader(source) {
  const options = this.getOptions();
  const isSpy = options.spy === "true";
  const mocked = getAutomockCode(source, isSpy, babelParser);
  return mocked.toString();
}
__name(webpackAutomockLoader, "webpackAutomockLoader");
export {
  webpackAutomockLoader as default
};
